Skip to main content
GET
/
api
/
v1
/
brands
/
{brand_id}
/
competitors
List Competitors
curl --request GET \
  --url https://api.example.com/api/v1/brands/{brand_id}/competitors \
  --header 'Authorization: Bearer <token>'
[
  {
    "brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "website_url": "<string>",
    "description": "<string>",
    "notes": "<string>",
    "is_starred": false,
    "social_links": {},
    "analysis_data": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "source": "seo_discovery"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
string<uuid>
required

Response

Successful Response

brand_id
string<uuid>
required
name
string
required
id
string<uuid> | null
website_url
string | null
description
string | null
notes
string | null
is_starred
boolean
default:false
analysis_data
Analysis Data · object
created_at
string<date-time> | null
updated_at
string<date-time> | null
source
enum<string>
default:seo_discovery
Available options:
seo_discovery,
brand_kit